List payout schemes for a customer fiat account
curl --request GET \
--url https://sandbox.elementpay.net/api/v1/partner/customers/{customer_id}/accounts/{account_id}/payout-methods \
--header 'X-API-Key: <api-key>'import requests
url = "https://sandbox.elementpay.net/api/v1/partner/customers/{customer_id}/accounts/{account_id}/payout-methods"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://sandbox.elementpay.net/api/v1/partner/customers/{customer_id}/accounts/{account_id}/payout-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Payout methods",
"data": {
"account_id": 39,
"account_status": "active",
"currency": "NGN",
"customer_id": "pcus_a1b2c3d4e5f6",
"methods": [
{
"scheme": "nip",
"country": "NG",
"default": true,
"required_fields": [
"bank_code",
"account_number",
"bank_name",
"country",
"account_holder_name"
]
},
{
"scheme": "swift",
"country": "",
"default": false,
"required_fields": [
"swift_bic",
"bank_name",
"country",
"account_holder_name"
],
"require_one_of": [
[
"iban",
"account_number"
]
]
}
]
}
}{
"status": "error",
"message": "Unauthorized",
"data": null
}{
"status": "error",
"message": "External bank payout is not supported for this currency",
"data": {
"currency": "XXX",
"supported": [
"CAD",
"EUR",
"USD",
"GBP",
"AED",
"NGN",
"GHS"
]
}
}Customer payouts
List payout schemes for a customer fiat account
List payout schemes for this fiat account before preview.
GET
/
partner
/
customers
/
{customer_id}
/
accounts
/
{account_id}
/
payout-methods
List payout schemes for a customer fiat account
List payout schemes for this fiat account before preview.
What to use
methods[].scheme— send asbank.scheme(or omit whendefault: true)required_fields/require_one_of/optional_fields/aliases
SWIFT
require_one_of means iban or account_number (not both optional).
Full guide: External bank payouts.Authorizations
Path Parameters
Public customer id returned by POST /partner/customers
Example:
"pcus_a1b2c3d4e5f6"
Account id returned by the customer account API
Required range:
x >= 1